Schützen Sie Ihre Applikationen mit PHP-Verschlüsselung

Übersicht

Zend Guard, das meist-akzeptierte Produkt auf dem Markt zur PHP-Verschlüsselung und Verschleierung, schützt Ihre Applikation vor unlizensierter Nutzung und Reverse Engineering.

 


Zend Guard maximiert die Softwarerentabilität durch:

  • Einschränkung unautorisierter Duplizierung oder Nutzung Ihrer Applikationen.

  • Sicherstellung, dass nur lizensierte Kunden Ihre Produkte nutzen und dass sie sich innerhalb Ihrer Lizenzbedigungen bewegen.

  • Bietet flexible Lizenzbedingungen, die Ihr Softwareprodukt attraktiver mach, den Verkauf steigert und die Kundenzufriedenheit verbessert.

  • Steigerung der Increasing Konversionsrate von der Evaluierung bis zum lizensierten Produkt.

  • Vorbeugung gegen Änderungen Ihres Codes durch Unbefugte (alle Dateien werden nicht veränderbar ausgegeben und externe Änderungen beschädigen den Code), wodurch die Dateien gegen Verfälschung von außen geschützt sind.

  •  

Features

Die Verschlüsselung mit Zend Guard ermöglicht es Entwicklern, ihr PHP-Skript jederzeit während des Entwicklungsprozesses zu verschlüsseln. Dies ermöglicht zudem eine Verschlüsselung des Codes bevor er verteilt oder veröffentlicht wird.

Weitere Informationen
 

Verschlüsseln Sie Ihre PHP-Applikationen

 

Unterbinden Sie Reverse Engineering durch PHP-Verschlüsselung und -Verschleierung

Sie haben hart daran gearbeitet, Ihren Code zu entwickeln. Jetzt müssen Sie ihn auch schützen! Die leistungsstarke Technologie zur Verschlüsselung und Verschleierung, über die Zend Guard verfügt, verhindert Reverse Engineering, Verletzungen des Copyrights und unauthorisierte Modifizierung Ihres Codes.

Während der Verschlüsselung wird PHP Source Code in einem Zwischenschritt zu einem für Maschinen lesbaren Format konvertiert. Dieses Format kann von Menschen nur schwer gelesen und zurück in Source Code konvertiert werden. Das Ergebnis: Ihr Code ist geschützt vor zufälligem Browsing. Das bedeutet, dass selbst wenn man Zugriff auf den Code Ihrer Seite hat, kann man ihn dennoch nicht unbeabsichtigt nutzen.

Verschleierung bedeutet, dass der Code absichtlich nur schwer als Source Code oder reversed engineered Code zu lesen ist. Verschleierung wird verwendet, um die Risiken zu steuern, die von unauthorisiertem Zugriff auf den Source Code ausgeht. Dazu gehören der Verlust des geistigen Eigentums, leichtes Erkunden von Sicherheitslücken und entgangene Einnahmen, wenn Applikationen nachgebaut oder modifiziert werden, um Lizenzbestimmungen zu umgehen, und dann rekompiliert werden. Obwohl es Reverse Engineering schon immer bei Computer Software gegeben hat, ist es besonders wichtig für Computer-Umgebungen wie beispielsweise PHP, die eher die Vorteile von dynamischen Prozessen von Sprachelementen nutzen als Code, der vor dem Deployment in Maschinensprache kompiliert wurde.  

 

Schützen Sie Ihren Code vor unauthorisiertem Gebrauch

Die Lizensierungsmöglichkeiten in Zend Guard ermöglicht unabhängigen Softwareanbietern (ISV), eine Vielzahl an Lizenzmodellen für ihre kommerziellen PHP-Applikationen zu entwickeln. Zend Guard unterstützt die gängigsten Lizenzmodelle, wie z. B. für gleichzeitige Benutzung, Zeitbegrenzungen, Teile von Netzwerken oder server-spezifische Lizenzierung. Diese Funktionen erlauben es diesen Anbietern, Ihren Umsatz zu maximieren, indem unauthorisierter Einsatz unterbunden wird. 


Jetzt herunterladen

Zend Guard Loader

Zend Guard Loader ist eine kostenlose Laufzeit-Applikation, die es PHP ermöglicht, Skripte auszuführen, die mit Zend Guard verschlüsselt wurden. Jeder, der verschlüsselte Applikationen ausführen möchte, kann sie kostenlos nutzen.

Sie möchten eine Applikation ausführen, die mit Zend Guard verschlüsselt wurde?

Der einfachste Weg, eine PHP Laufzeit-Umgebung einzurichten, die durch Zend Guard geschütze Skripte ausführen kann, ist, Zend Server zu installieren - unseren vor-integrierten PHP Applikations-Stack.

Zend Server beinhaltet:

Zend Server herunterladen »

Zend Guard Loader herunterladen

 

Was ist neu

 

Änderungen in Zend Guard von Version 5.5 zu 6.0

Vollständige Unterstützung für PHP 5.4

Änderungen in Zend Guard von Version 5.0.1 zu 5.5

Vollständige Unterstützung für PHP 5.3

 

Systemvoraussetzungen

 

Unterstützte Betriebssysteme:

Unterstützte PHP-Versionen: